Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Interface CPDListener

All Known Implementing Classes:
  CPDNullListener, GUI

public interface CPDListener

Field Summary
`static int` | `DONE`
`static int` | `GROUPING`
`static int` | `HASH`
`static int` | `INIT`
`static int` | `MATCH`

Method Summary
`void` | `addedFile(int fileCount, java.io.File file)`
`void` | `phaseUpdate(int phase)`

Field Detail

### INIT

    public static final int INIT

See Also:
  Constant Field Values

### HASH

    public static final int HASH

See Also:
  Constant Field Values

### MATCH

    public static final int MATCH

See Also:
  Constant Field Values

### GROUPING

    public static final int GROUPING

See Also:
  Constant Field Values

### DONE

    public static final int DONE

See Also:
  Constant Field Values

Method Detail

### addedFile

    public void addedFile(int fileCount,
                          java.io.File file)

### phaseUpdate

    public void phaseUpdate(int phase)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.